import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService, ApiVisa, Pagination, PagingResponseModel, BasicApiResponseModel, ApiResponseModel } from '../shared';
import { OrgChartHierarchyNodeHdrContainerModel } from '../../../../../models/aggregates/hr';
import { Observable } from 'rxjs';
export declare class OrgChartHierarchyNodeHdrService extends BaseApiTemplateService<OrgChartHierarchyNodeHdrContainerModel> {
    constructor(http: HttpClient);
    get(visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getByOrgChart(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByGuid(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    getByCriteriaPost(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    delete(guid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    put(dtoObject: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    post(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    generateOrgChart(employee_hdr_guids: string, visa: ApiVisa): Observable<any>;
}
